We just released our native n8n integration!ยป Try now
OnlyFans API
Analytics - Summary

Get Historical Performance

Get historical earnings chart data for the team. Returns monthly aggregated revenue data for the specified time range.

POST
/api/analytics/summary/historical
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Request Body

application/json

time_range?string

The time range for historical data

Value in"3m" | "6m" | "12m" | "ytd" | "last-year"

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/analytics/summary/historical" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "period": "2024-01",
    "value": 5000
  },
  {
    "period": "2024-02",
    "value": 5500
  }
]